{ config, android, ... }:
{
  imports = [
    ./users
    ../../modules/system
    android.nixosModules.avf
  ];

  networking.hostName = "droid";

  avf.defaultUser = config.sysusers.main;

  system = {
    desktop.enable = true;
    stateVersion = "24.11";
  };

  nixpkgs.hostPlatform = lib.mkDefault "aarch64-linux";
}
